# MoleculeUtils.py - general component for StarDrop plugin scripts
#
# Copyright (C) Optibrium Ltd 2013
# stardrop-support@optibrium.com
#
# This script provides molecule-related functions for StarDrop
# plugin scripts

def countHeavyAtoms(smiles):
    bracket = False
    count = 0
    for c in smiles:
        if c == '[':
            count += 1
            bracket = True
        elif c == ']':
            bracket = False
        else:
            if bracket == False:
                if c in ('C','c','o','n','s','O','N','S','B','F','P','I'):
                    count += 1
    return count
        
def countPolarAtoms(smiles):
    count = 0
    for c in smiles:
        if c == 'O' or c == 'o' or c == 'N' or c == 'n':
            count += 1
           
    return count